#!/bin/tcsh

set RESFILE = 'results.dat'
set TMPFILE1 = 'results_tmp1.dat'
set TMPFILE2 = 'results_tmp2.dat'
set TMPFILE3 = 'results_tmp3.dat'

echo "# Exposure  Chip  N  Mean Err_Mean  WMean Err_WMean  Chisq_about_wmean Chisq_nu_about_wmean" > $RESFILE

foreach i ( `\ls exp?_chip?_feats.dat` )
#    set XYPLOT = `echo $i | sed 's/.dat/.ps/'`
#    awk 'NR > 1 { if (substr($0,1,1)!="#") print $3,$8,$9}' $i > $TMPFILE3
#    printf "$TMPFILE3\n2\nWavelength [\\A]\n\\gdv [kms\\u-1\\d]\n\n$XYPLOT/PS\nn\n" | plotxy
    set EXP = `echo $i | cut -c 4`
    set CHIP = `echo $i | cut -c 10`
    if ( $CHIP == '1' || $CHIP == '2' ) then
      awk 'NR > 1 { if (substr($0,1,1)!="#") print $8,$9 }' $i > $TMPFILE1
    else
      awk 'NR > 1 { if (substr($0,1,1)!="#") print $8,$9 }' $i >> $TMPFILE1
    endif
    if ( $CHIP == '1' || $CHIP == '3' ) then
      printf "$TMPFILE1\n" | stats > $TMPFILE2
      set N = `grep "Number of lines read" $TMPFILE2 | awk '{print $6}'`
      set MEAN = `grep "Mean of data" $TMPFILE2 | awk '{print $5,$7}'`
      set WMEAN = `grep "Weighted mean of data" $TMPFILE2 | awk '{print $6,$8}'`
      set CHISQ = `grep "Chisq. about weighted mean" $TMPFILE2 | awk '{print $6,$8}' | sed 's/,//g'` > /dev/null
      echo "$EXP  $CHIP  $N  $MEAN  $WMEAN  $CHISQ" >> $RESFILE
    endif
end

/bin/rm -f $TMPFILE1 $TMPFILE2 $TMPFILE3
